#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire2two18004xi.py">
#<abstract4xi abstract = "fires to direction two and to distance 1800"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2two18004xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
# -------------------------------------------------------------------------------------------------
# SHOT2TWO - COORDINATE SIGNS OF SHOOT2TWO4XI: (X + ,Y - ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2two18004xi

#"
#/>

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

# -------------------------------------------------------------------------------------------------
# 1800
# -------------------------------------------------------------------------------------------------       
shot2two18004xi = {
        1:'1006x-1491y-34z',
        2:'1022x-1459y-253z',
        3:'1082x-1436y-52z',
        4:'1096x-1401y-270z',
        5:'109x-741y-1636z',
        6:'1156x-1377y-70z',
        7:'1166x-1340y-288z',
        8:'120x-935y-1533z',
        9:'1226x-1314y-88z',
        10:'1232x-1275y-306z',
        11:'1292x-1248y-106z',
        12:'1295x-1206y-324z',
        13:'129x-1163y-1367z',
        14:'1354x-1135y-341z',
        15:'1355x-1178y-124z',
        16:'1409x-1060y-359z',
        17:'1413x-1104y-142z',
        18:'144x-719y-1643z',
        19:'1459x-983y-377z',
        20:'1468x-1028y-160z',
        21:'1505x-903y-394z',
        22:'1518x-949y-178z',
        23:'1547x-821y-412z',
        24:'1564x-867y-196z',
        25:'157x-1791y-73z',
        26:'1584x-737y-429z',
        27:'1606x-783y-214z',
        28:'1616x-652y-447z',
        29:'1643x-697y-232z',
        30:'1644x-565y-464z',
        31:'1667x-477y-481z',
        32:'166x-912y-1542z',
        33:'1675x-609y-250z',
        34:'1685x-388y-499z',
        35:'1698x-298y-516z',
        36:'1702x-520y-267z',
        37:'1706x-208y-533z',
        38:'1707x-28y-568z',
        39:'1709x-118y-550z',
        40:'1724x-429y-285z',
        41:'1738x-465y-5z',
        42:'1741x-338y-303z',
        43:'1753x-246y-321z',
        44:'1760x-374y-23z',
        45:'1761x-154y-338z',
        46:'1763x-61y-356z',
        47:'1777x-281y-41z',
        48:'1789x-188y-59z',
        49:'178x-694y-1650z',
        50:'1795x-94y-77z',
        51:'187x-1141y-1379z',
        52:'210x-887y-1551z',
        53:'220x-705y-1750z',
        54:'22x-973y-1514z',
        55:'244x-1116y-1390z',
        56:'251x-1780y-91z',
        57:'252x-860y-1560z',
        58:'291x-831y-1569z',
        59:'298x-1088y-1401z',
        60:'328x-800y-1578z',
        61:'32x-781y-1621z',
        62:'343x-1763y-109z',
        63:'350x-1058y-1413z',
        64:'363x-767y-1586z',
        65:'395x-733y-1595z',
        66:'400x-1025y-1424z',
        67:'425x-698y-1603z',
        68:'435x-1741y-127z',
        69:'447x-989y-1435z',
        70:'452x-661y-1611z',
        71:'476x-624y-1619z',
        72:'492x-952y-1445z',
        73:'497x-586y-1627z',
        74:'499x-14y-1729z',
        75:'515x-42y-1724z',
        76:'516x-547y-1635z',
        77:'525x-1715y-145z',
        78:'529x-71y-1718z',
        79:'532x-508y-1642z',
        80:'534x-912y-1456z',
        81:'542x-102y-1713z',
        82:'546x-469y-1649z',
        83:'552x-134y-1707z',
        84:'556x-429y-1656z',
        85:'561x-167y-1702z',
        86:'564x-390y-1663z',
        87:'567x-202y-1696z',
        88:'570x-351y-1670z',
        89:'571x-238y-1689z',
        90:'573x-275y-1683z',
        91:'573x-313y-1677z',
        92:'573x-871y-1467z',
        93:'609x-828y-1477z',
        94:'613x-1684y-163z',
        95:'63x-1798y-55z',
        96:'642x-783y-1487z',
        97:'672x-738y-1497z',
        98:'68x-1182y-1355z',
        99:'699x-691y-1507z',
        100:'6x-1197y-1343z',
        101:'700x-1648y-181z',
        102:'71x-762y-1628z',
        103:'723x-643y-1517z',
        104:'72x-955y-1523z',
        105:'744x-595y-1526z',
        106:'761x-546y-1536z',
        107:'762x-35y-1630z',
        108:'775x-77y-1622z',
        109:'776x-497y-1545z',
        110:'785x-1607y-199z',
        111:'786x-119y-1614z',
        112:'787x-448y-1554z',
        113:'795x-164y-1606z',
        114:'796x-400y-1563z',
        115:'801x-209y-1598z',
        116:'801x-351y-1572z',
        117:'804x-256y-1589z',
        118:'804x-303y-1581z',
        119:'867x-1562y-217z',
        120:'927x-1542y-16z',
        121:'946x-1512y-235z'}
        
        
#"
#"/>

        
# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire1800two4xi" usage = "target function for chargeone4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire1800two4xi(queue2two, consumer_channel2two, publisher_channel2two):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE1800TWO4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE1800TWO4XI -  QUEUE2TWO: ", queue2two)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE1800TWO4XI -  CONSUMER_CHANNEL2TWO: ", consumer_channel2two)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE1800TWO4XI -  PUBLISHER_CHANNEL2TWO: ", publisher_channel2two)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE1800TWO4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2two.put(shot2two18004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE1800TWO4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE1800TWO4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE1800TWO4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2two8shot2two18004xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2two8shot2two18004xi</nack2put4xi>" 
            
        publisher_channel2two.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE1800TWO4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE1800TWO4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE1800TWO4XI - RETURNING QUEUE OBJECT QUEUE2TWO: ", queue2two, " - TIME: ", time4xi())  
        # 
            
    return queue2two    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verbkb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire2two18004xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
        